CobolConnectionRequestInfo (Micro Focus COBOL Connector Class Library)
Keywords: com.microfocus.cobol.connector.spi.CobolConnectionRequestInfo class

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.microfocus.cobol.connector.spi
Class CobolConnectionRequestInfo

    java.lang.Object
      com.microfocus.cobol.connector.spi.CobolConnectionRequestInfo

All Implemented Interfaces:
  ConnectionRequestInfo

public class CobolConnectionRequestInfo
extends Object
implements ConnectionRequestInfo

This implementation class enables a resource adapter to pass its own request-specific data structure across connection request flow

Field Summary
`static int` | `USE_USERPWD`

Constructor Summary
`CobolConnectionRequestInfo()`
`CobolConnectionRequestInfo(boolean sessType)` Create a Connection Request info instance
`CobolConnectionRequestInfo(String user, String password, String realm, boolean sessType)` Create a Connection request info instance

Method Summary
`boolean` | `equals(Object obj)` Is this object equal to obj
`String` | `getGuid()` Get guid
`String` | `getPassword()` Get Password
`String` | `getRealm()` Get Realm
`boolean` | `getStatefulSession()`
`int` | `getUsage()` Get Usage
`String` | `getUser()` Get Username
`int` | `hashCode()` Hash code for the connection request info instance
`void` | `setGuid(String guid)` Set guid

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### USE_USERPWD

    public static final int USE_USERPWD

See Also:
  Constant Field Values

Constructor Detail

### CobolConnectionRequestInfo

    public CobolConnectionRequestInfo(String user,
                                      String password,
                                      String realm,
                                      boolean sessType)

  Create a Connection request info instance

Parameters:
  `user` - UserName
  `password` - Password
  `realm` - Realm

### CobolConnectionRequestInfo

    public CobolConnectionRequestInfo(boolean sessType)

  Create a Connection Request info instance

### CobolConnectionRequestInfo

    public CobolConnectionRequestInfo()

Method Detail

### setGuid

    public void setGuid(String guid)

  Set guid

### getGuid

    public String getGuid()

  Get guid

  Returns:
    guid

### getStatefulSession

    public boolean getStatefulSession()

### getUser

    public String getUser()

  Get Username

  Returns:
    Username

### getPassword

    public String getPassword()

  Get Password

  Returns:
    Password

### getRealm

    public String getRealm()

  Get Realm

  Returns:
    Realm

### getUsage

    public int getUsage()

  Get Usage

  Returns:
    Usage

### equals

    public boolean equals(Object obj)

  Is this object equal to obj

  Specified by:
    `equals` in interface `ConnectionRequestInfo`
  Parameters:
    `obj` - The other obj
  Returns:

### hashCode

    public int hashCode()

  Hash code for the connection request info instance

  Specified by:
    `hashCode` in interface `ConnectionRequestInfo`
  Returns:
    The hash code

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 Micro Focus International Limited. All rights reserved.
This document and the proprietary marks and names used herein are protected by international law.